# Makefile for winhelp.dll
# MSVC 6, Tcl8.2
# Environment (PATH, LIB, INCLUDE) must be set up for MSVC

TCL_INC=	C:\progra~1\tcl\include
TCL_LIB=	C:\progra~1\tcl\lib\tclstub82.lib
TK_LIB=		C:\progra~1\tcl\lib\tkstub82.lib
HH_INC=		"C:\progra~1\HTML Help Workshop\include"

DLLLFLAGS=	/NODEFAULTLIB /RELEASE /NOLOGO /RELEASE \
		/MACHINE:IX86 /SUBSYSTEM:WINDOWS \
		/ENTRY:_DllMainCRTStartup@12 /DLL
CFLAGS=		-O2 -Gs -GD -c -W3 -nologo -D_MT \
		-I$(TCL_INC) -I$(HH_INC) -DUSE_TCL_STUBS -DUSE_TK_STUBS
DLLLIBS=	$(TK_LIB) $(TCL_LIB) msvcrt.lib kernel32.lib user32.lib

all:		winhelp.dll

winhelp.dll:	winhelp.obj
		link $(DLLLFLAGS) winhelp.obj -out:$@ $(DLLLIBS)

.c.obj:
		cl $(CFLAGS) -c $<

clean:
		del *.obj
		del *.exp
		del *.lib
		del *.dll
